> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Keys Route



## OpenAPI

````yaml /api/openapi.json get /api/keys
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/keys:
    get:
      tags:
        - keys
      summary: List Keys Route
      operationId: list_keys_route_api_keys_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeysListOut'
components:
  schemas:
    KeysListOut:
      properties:
        total:
          type: integer
          title: Total
        keys:
          items:
            $ref: '#/components/schemas/KeyEntry'
          type: array
          title: Keys
      type: object
      required:
        - total
        - keys
      title: KeysListOut
    KeyEntry:
      properties:
        id:
          type: string
          title: Id
        status:
          type: string
          enum:
            - accepted
            - pending
            - rejected
            - denied
          title: Status
      type: object
      required:
        - id
        - status
      title: KeyEntry

````